version: '3.7'

services:
  mysql:
    image: mysql:latest
    command: --default-authentication-plugin=mysql_native_password
    volumes:
      - local_data:/var/lib/mysql
    environment:
      MYSQL_ROOT_PASSWORD: root
      MYSQL_DATABASE: poc_si_commande
      MYSQL_USER: poc_si_commande
      MYSQL_PASSWORD: poc_si_commande
    ports:
      - "3306:3306"

  postgres:
    image: postgres:latest
    environment:
      - POSTGRES_USER=poc_si_commande
      - POSTGRES_PASSWORD=poc_si_commande
      - POSTGRES_DB=poc_si_commande
    ports:
      - "5432:5432"

volumes:
  local_data: